Swift Package Index

Futura.swift

https://github.com/thedavidharris/Futura.git


Futura

Platforms License

Swift Package Manager Carthage compatible CocoaPods compatible

A lightweight, functional framework for Futures in Swift

Why is it Named Futura

Because it's the opposite of Pasta

Requirements

  • iOS 8.0+ / Mac OS X 10.10+ / tvOS 9.0+ / watchOS 2.0+
  • Xcode 9.0+

Installation

Dependency Managers

pod 'Futura', '~> 2.0'
github "thedavidharris/Futura" ~> 3.0.0
...
    dependencies: [
        .Package(url: "https://github.com/thedavidharris/Futura.git", .upToNextMajor(from: "3.0.0"))
    ]
...

Usage

Incoming: /docs directory

Contributing

Issues and pull requests are welcome!

Author

David Harris @thedavidharris

License

Futura is released under the MIT license. See LICENSE for details.